const e = {
  neutral: {
    N900: "#091E42",
    N800: "#172B4D",
    N700: "#253858",
    N600: "#344563",
    N500: "#42526E",
    N400: "#505F79",
    N300: "#5E6C84",
    N200: "#6B778C",
    N100: "#7A869A",
    N90: "#8993A4",
    N80: "#97A0AF",
    N70: "#A5ADBA",
    N60: "#B3BAC5",
    N50: "#C1C7D0",
    N40: "#DFE1E6",
    N30: "#EBECF0",
    N20: "#F4F5F7",
    N10: "#FAFBFC",
    N0: "#FFFFFF"
  },
  neutralAlpha: {
    N900A: "rgba(9, 30, 66, 1)",
    N800A: "rgba(9, 30, 66, 0.95)",
    N700A: "rgba(9, 30, 66, 0.89)",
    N600A: "rgba(9, 30, 66, 0.82)",
    N500A: "rgba(9, 30, 66, 0.77)",
    N400A: "rgba(9, 30, 66, 0.71)",
    N300A: "rgba(9, 30, 66, 0.66)",
    N200A: "rgba(9, 30, 66, 0.60)",
    N100A: "rgba(9, 30, 66, 0.54)",
    N90A: "rgba(9, 30, 66, 0.48)",
    N80A: "rgba(9, 30, 66, 0.42)",
    N70A: "rgba(9, 30, 66, 0.36)",
    N60A: "rgba(9, 30, 66, 0.31)",
    N50A: "rgba(9, 30, 66, 0.25)",
    N40A: "rgba(9, 30, 66, 0.13)",
    N30A: "rgba(9, 30, 66, 0.08)",
    N20A: "rgba(9, 30, 66, 0.04)",
    N10A: "rgba(9, 30, 66, 0.02)",
    N0A: "rgba(9, 30, 66, 0)"
  },
  red: {
    R500: "#BF2600",
    R400: "#DE350B",
    R300: "#FF5630",
    R200: "#FF7452",
    R100: "#FF8F73",
    R75: "#FFBDAD",
    R50: "#FFEBE6"
  },
  yellow: {
    Y500: "#FF8B00",
    Y400: "#FF991F",
    Y300: "#FFAB00",
    Y200: "#FFC400",
    Y100: "#FFE380",
    Y75: "#FFF0B3",
    Y50: "#FFFAE6"
  },
  green: {
    G500: "#006644",
    G400: "#00875A",
    G300: "#36B37E",
    G200: "#57D9A3",
    G100: "#79F2C0",
    G75: "#ABF5D1",
    G50: "#E3FCEF"
  },
  blue: {
    B500: "#0747A6",
    B400: "#0052CC",
    B300: "#0065FF",
    B200: "#2684FF",
    B100: "#4C9AFF",
    B75: "#B3D4FF",
    B50: "#DEEBFF"
  },
  teal: {
    T500: "#008DA6",
    T400: "#00A3BF",
    T300: "#00B8D9",
    T200: "#00C7E6",
    T100: "#79E2F2",
    T75: "#B3F5FF",
    T50: "#E6FCFF"
  },
  purple: {
    P500: "#403294",
    P400: "#5243AA",
    P300: "#6554C0",
    P200: "#8777D9",
    P100: "#998DD9",
    P75: "#C0B6F2",
    P50: "#E6FCFF"
  }
}, l = {
  primary: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  error: {
    regular: e.red.R400,
    hover: e.red.R300,
    disabled: e.neutral.N70
  },
  warning: {
    regular: e.yellow.Y400,
    hover: e.yellow.Y300,
    disabled: e.neutral.N70
  },
  success: {
    regular: e.green.G400,
    hover: e.green.G300,
    disabled: e.neutral.N70
  },
  help: {
    regular: e.purple.P400,
    hover: e.purple.P300,
    disabled: e.neutral.N70
  },
  information: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  dark: {
    regular: e.neutral.N900,
    hover: e.neutral.N500,
    disabled: e.neutral.N70
  },
  gray: {
    regular: e.neutral.N300,
    hover: e.neutral.N100,
    disabled: e.neutral.N70
  },
  light: {
    regular: e.neutral.N10,
    hover: e.neutral.N0,
    disabled: e.neutral.N70
  },
  link: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  }
}, a = {
  primary: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    focus: e.blue.B300,
    disabled: e.neutral.N70
  },
  error: {
    regular: e.red.R400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  warning: {
    regular: e.yellow.Y400,
    hover: e.yellow.Y300,
    disabled: e.neutral.N70
  },
  success: {
    regular: e.green.G400,
    hover: e.green.G300,
    disabled: e.neutral.N70
  },
  information: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  },
  help: {
    regular: e.purple.P400,
    hover: e.purple.P300,
    disabled: e.neutral.N70
  },
  divider: {
    regular: e.neutral.N40
  },
  spinner: {
    regular: e.neutral.N30,
    transparent: e.neutralAlpha.N0A
  },
  dark: {
    regular: e.neutral.N900,
    hover: e.neutral.N500,
    disabled: e.neutral.N70
  },
  gray: {
    regular: e.neutral.N200,
    hover: e.neutral.N90,
    disabled: e.neutral.N70
  },
  light: {
    regular: e.neutral.N10,
    hover: e.neutral.N0,
    disabled: e.neutral.N70
  },
  link: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    disabled: e.neutral.N70
  }
}, t = {
  primary: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    clear: e.blue.B50,
    disabled: e.neutral.N20
  },
  error: {
    regular: e.red.R400,
    hover: e.red.R300,
    clear: e.red.R50,
    disabled: e.neutral.N20
  },
  warning: {
    regular: e.yellow.Y400,
    hover: e.yellow.Y300,
    clear: e.yellow.Y50,
    disabled: e.neutral.N20
  },
  success: {
    regular: e.green.G400,
    hover: e.green.G300,
    clear: e.green.G50,
    disabled: e.neutral.N20
  },
  information: {
    regular: e.blue.B400,
    hover: e.blue.B300,
    clear: e.blue.B50,
    disabled: e.neutral.N20
  },
  help: {
    regular: e.purple.P400,
    hover: e.purple.P300,
    clear: e.purple.P50,
    disabled: e.neutral.N20
  },
  nav: {
    regular: e.neutral.N10
  },
  navLink: {
    regular: e.neutralAlpha.N0A,
    hover: e.neutral.N30,
    selected: e.neutral.N30
  },
  blanket: {
    regular: e.neutralAlpha.N100A
  },
  dark: {
    regular: e.neutral.N900,
    hover: e.neutral.N500,
    clear: e.neutral.N30,
    disabled: e.neutral.N20
  },
  gray: {
    regular: e.neutral.N30,
    hover: e.neutral.N20,
    clear: e.neutral.N10,
    disabled: e.neutral.N20
  },
  light: {
    regular: e.neutral.N10,
    hover: e.neutral.N0,
    clear: e.neutral.N0,
    disabled: e.neutral.N20
  }
}, n = {
  palette: e,
  text: l,
  stroke: a,
  surface: t
}, i = {
  s0: "0px",
  s025: "2px",
  s050: "4px",
  s075: "6px",
  s100: "8px",
  s150: "12px",
  s200: "16px",
  s250: "20px",
  s300: "24px",
  s350: "28px",
  s400: "32px",
  s450: "36px",
  s500: "40px",
  s600: "48px",
  s800: "64px",
  s1000: "80px"
}, u = {
  large: {
    font: "Roboto",
    lineHeight: "24px",
    size: "16px",
    tracking: "0.5px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "20px",
    size: "14px",
    tracking: "0.25px",
    weight: "400"
  },
  small: {
    font: "Roboto",
    lineHeight: "16px",
    size: "12px",
    tracking: "0.4px",
    weight: "400"
  }
}, o = {
  large: {
    font: "Roboto",
    lineHeight: "64px",
    size: "57px",
    tracking: "-0.25px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "52px",
    size: "45px",
    tracking: "0px",
    weight: "400"
  },
  small: {
    font: "Roboto",
    lineHeight: "44px",
    size: "36px",
    tracking: "0px",
    weight: "400"
  }
}, g = {
  large: {
    font: "Roboto",
    lineHeight: "40px",
    size: "32px",
    tracking: "0px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "36px",
    size: "28px",
    tracking: "0px",
    weight: "400"
  },
  small: {
    font: "Roboto",
    lineHeight: "32px",
    size: "24px",
    tracking: "0px",
    weight: "400"
  }
}, p = {
  large: {
    font: "Roboto",
    lineHeight: "20px",
    size: "14px",
    tracking: "0.1px",
    weight: "500"
  },
  medium: {
    font: "Roboto",
    lineHeight: "16px",
    size: "12px",
    tracking: "0.5px",
    weight: "500"
  },
  small: {
    font: "Roboto",
    lineHeight: "16px",
    size: "11px",
    tracking: "0.5px",
    weight: "500"
  }
}, s = {
  large: {
    font: "Roboto",
    lineHeight: "28px",
    size: "22px",
    tracking: "0px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "24px",
    size: "16px",
    tracking: "0.15px",
    weight: "500"
  },
  small: {
    font: "Roboto",
    lineHeight: "20px",
    size: "14px",
    tracking: "0.1px",
    weight: "500"
  }
}, N = {
  body: u,
  display: o,
  headline: g,
  label: p,
  title: s
}, k = {
  color: n,
  spacing: i,
  typography: N
}, r = {
  neutral: {
    N900: "#091E42",
    N800: "#172B4D",
    N700: "#253858",
    N600: "#344563",
    N500: "#42526E",
    N400: "#505F79",
    N300: "#5E6C84",
    N200: "#6B778C",
    N100: "#7A869A",
    N90: "#8993A4",
    N80: "#97A0AF",
    N70: "#A5ADBA",
    N60: "#B3BAC5",
    N50: "#C1C7D0",
    N40: "#DFE1E6",
    N30: "#EBECF0",
    N20: "#F4F5F7",
    N10: "#FAFBFC",
    N0: "#FFFFFF"
  },
  neutralAlpha: {
    N900A: "rgba(9, 30, 66, 1)",
    N800A: "rgba(9, 30, 66, 0.95)",
    N700A: "rgba(9, 30, 66, 0.89)",
    N600A: "rgba(9, 30, 66, 0.82)",
    N500A: "rgba(9, 30, 66, 0.77)",
    N400A: "rgba(9, 30, 66, 0.71)",
    N300A: "rgba(9, 30, 66, 0.66)",
    N200A: "rgba(9, 30, 66, 0.60)",
    N100A: "rgba(9, 30, 66, 0.54)",
    N90A: "rgba(9, 30, 66, 0.48)",
    N80A: "rgba(9, 30, 66, 0.42)",
    N70A: "rgba(9, 30, 66, 0.36)",
    N60A: "rgba(9, 30, 66, 0.31)",
    N50A: "rgba(9, 30, 66, 0.25)",
    N40A: "rgba(9, 30, 66, 0.13)",
    N30A: "rgba(9, 30, 66, 0.08)",
    N20A: "rgba(9, 30, 66, 0.04)",
    N10A: "rgba(9, 30, 66, 0.02)",
    N0A: "rgba(9, 30, 66, 0)"
  },
  red: {
    R500: "#BF2600",
    R400: "#DE350B",
    R300: "#FF5630",
    R200: "#FF7452",
    R100: "#FF8F73",
    R75: "#FFBDAD",
    R50: "#FFEBE6"
  },
  yellow: {
    Y500: "#FF8B00",
    Y400: "#FF991F",
    Y300: "#FFAB00",
    Y200: "#FFC400",
    Y100: "#FFE380",
    Y75: "#FFF0B3",
    Y50: "#FFFAE6"
  },
  green: {
    G500: "#006644",
    G400: "#00875A",
    G300: "#36B37E",
    G200: "#57D9A3",
    G100: "#79F2C0",
    G75: "#ABF5D1",
    G50: "#E3FCEF"
  },
  blue: {
    B500: "#0747A6",
    B400: "#0052CC",
    B300: "#0065FF",
    B200: "#2684FF",
    B100: "#4C9AFF",
    B75: "#B3D4FF",
    B50: "#DEEBFF"
  },
  teal: {
    T500: "#008DA6",
    T400: "#00A3BF",
    T300: "#00B8D9",
    T200: "#00C7E6",
    T100: "#79E2F2",
    T75: "#B3F5FF",
    T50: "#E6FCFF"
  },
  purple: {
    P500: "#403294",
    P400: "#5243AA",
    P300: "#6554C0",
    P200: "#8777D9",
    P100: "#998DD9",
    P75: "#C0B6F2",
    P50: "#E6FCFF"
  }
}, b = {
  primary: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    disabled: r.neutral.N70
  },
  error: {
    regular: r.red.R400,
    hover: r.red.R300,
    disabled: r.neutral.N70
  },
  warning: {
    regular: r.yellow.Y400,
    hover: r.yellow.Y300,
    disabled: r.neutral.N70
  },
  success: {
    regular: r.green.G400,
    hover: r.green.G300,
    disabled: r.neutral.N70
  },
  help: {
    regular: r.purple.P400,
    hover: r.purple.P300,
    disabled: r.neutral.N70
  },
  information: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    disabled: r.neutral.N70
  },
  dark: {
    regular: r.neutral.N900,
    hover: r.neutral.N500,
    disabled: r.neutral.N70
  },
  gray: {
    regular: r.neutral.N300,
    hover: r.neutral.N100,
    disabled: r.neutral.N70
  },
  light: {
    regular: r.neutral.N10,
    hover: r.neutral.N0,
    disabled: r.neutral.N70
  },
  link: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    disabled: r.neutral.N70
  }
}, d = {
  primary: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    focus: r.blue.B300,
    disabled: r.neutral.N70
  },
  error: {
    regular: r.red.R400,
    hover: r.blue.B300,
    disabled: r.neutral.N70
  },
  warning: {
    regular: r.yellow.Y400,
    hover: r.yellow.Y300,
    disabled: r.neutral.N70
  },
  success: {
    regular: r.green.G400,
    hover: r.green.G300,
    disabled: r.neutral.N70
  },
  information: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    disabled: r.neutral.N70
  },
  help: {
    regular: r.purple.P400,
    hover: r.purple.P300,
    disabled: r.neutral.N70
  },
  divider: {
    regular: r.neutral.N40
  },
  spinner: {
    regular: r.neutral.N30,
    transparent: r.neutralAlpha.N0A
  },
  dark: {
    regular: r.neutral.N900,
    hover: r.neutral.N500,
    disabled: r.neutral.N70
  },
  gray: {
    regular: r.neutral.N200,
    hover: r.neutral.N90,
    disabled: r.neutral.N70
  },
  light: {
    regular: r.neutral.N10,
    hover: r.neutral.N0,
    disabled: r.neutral.N70
  },
  link: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    disabled: r.neutral.N70
  }
}, h = {
  primary: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    clear: r.blue.B50,
    disabled: r.neutral.N20
  },
  error: {
    regular: r.red.R400,
    hover: r.red.R300,
    clear: r.red.R50,
    disabled: r.neutral.N20
  },
  warning: {
    regular: r.yellow.Y400,
    hover: r.yellow.Y300,
    clear: r.yellow.Y50,
    disabled: r.neutral.N20
  },
  success: {
    regular: r.green.G400,
    hover: r.green.G300,
    clear: r.green.G50,
    disabled: r.neutral.N20
  },
  information: {
    regular: r.blue.B400,
    hover: r.blue.B300,
    clear: r.blue.B50,
    disabled: r.neutral.N20
  },
  help: {
    regular: r.purple.P400,
    hover: r.purple.P300,
    clear: r.purple.P50,
    disabled: r.neutral.N20
  },
  nav: {
    regular: r.neutral.N10
  },
  navLink: {
    regular: r.neutralAlpha.N0A,
    hover: r.neutral.N30,
    selected: r.neutral.N30
  },
  blanket: {
    regular: r.neutralAlpha.N100A
  },
  dark: {
    regular: r.neutral.N900,
    hover: r.neutral.N500,
    clear: r.neutral.N30,
    disabled: r.neutral.N20
  },
  gray: {
    regular: r.neutral.N30,
    hover: r.neutral.N20,
    clear: r.neutral.N10,
    disabled: r.neutral.N20
  },
  light: {
    regular: r.neutral.N10,
    hover: r.neutral.N0,
    clear: r.neutral.N0,
    disabled: r.neutral.N20
  }
}, F = {
  palette: r,
  text: b,
  stroke: d,
  surface: h
}, x = {
  s0: "0px",
  s025: "2px",
  s050: "4px",
  s075: "6px",
  s100: "8px",
  s150: "12px",
  s200: "16px",
  s250: "20px",
  s300: "24px",
  s350: "28px",
  s400: "32px",
  s450: "36px",
  s500: "40px",
  s600: "48px",
  s800: "64px",
  s1000: "80px"
}, c = {
  large: {
    font: "Roboto",
    lineHeight: "24px",
    size: "16px",
    tracking: "0.5px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "20px",
    size: "14px",
    tracking: "0.25px",
    weight: "400"
  },
  small: {
    font: "Roboto",
    lineHeight: "16px",
    size: "12px",
    tracking: "0.4px",
    weight: "400"
  }
}, B = {
  large: {
    font: "Roboto",
    lineHeight: "64px",
    size: "57px",
    tracking: "-0.25px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "52px",
    size: "45px",
    tracking: "0px",
    weight: "400"
  },
  small: {
    font: "Roboto",
    lineHeight: "44px",
    size: "36px",
    tracking: "0px",
    weight: "400"
  }
}, A = {
  large: {
    font: "Roboto",
    lineHeight: "40px",
    size: "32px",
    tracking: "0px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "36px",
    size: "28px",
    tracking: "0px",
    weight: "400"
  },
  small: {
    font: "Roboto",
    lineHeight: "32px",
    size: "24px",
    tracking: "0px",
    weight: "400"
  }
}, v = {
  large: {
    font: "Roboto",
    lineHeight: "20px",
    size: "14px",
    tracking: "0.1px",
    weight: "500"
  },
  medium: {
    font: "Roboto",
    lineHeight: "16px",
    size: "12px",
    tracking: "0.5px",
    weight: "500"
  },
  small: {
    font: "Roboto",
    lineHeight: "16px",
    size: "11px",
    tracking: "0.5px",
    weight: "500"
  }
}, R = {
  large: {
    font: "Roboto",
    lineHeight: "28px",
    size: "22px",
    tracking: "0px",
    weight: "400"
  },
  medium: {
    font: "Roboto",
    lineHeight: "24px",
    size: "16px",
    tracking: "0.15px",
    weight: "500"
  },
  small: {
    font: "Roboto",
    lineHeight: "20px",
    size: "14px",
    tracking: "0.1px",
    weight: "500"
  }
}, w = {
  body: c,
  display: B,
  headline: A,
  label: v,
  title: R
}, m = {
  color: F,
  spacing: x,
  typography: w
};
export {
  k as inube,
  m as presente
};
